Transit
Transit vehicles, routes, and stops
curl -X GET "https://example.com/transit/vehicles"fetch("https://example.com/transit/vehicles")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/transit/vehicles"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/transit/vehicles"
response = requests.request("GET", url)
print(response.text)Empty
curl -X GET "https://example.com/transit/shapes"fetch("https://example.com/transit/shapes")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/transit/shapes"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/transit/shapes"
response = requests.request("GET", url)
print(response.text)Empty
curl -X GET "https://example.com/transit/route-vehicles"fetch("https://example.com/transit/route-vehicles")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/transit/route-vehicles"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/transit/route-vehicles"
response = requests.request("GET", url)
print(response.text)Empty
curl -X GET "https://example.com/transit/trip-stops"fetch("https://example.com/transit/trip-stops")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/transit/trip-stops"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/transit/trip-stops"
response = requests.request("GET", url)
print(response.text)Empty
curl -X GET "https://example.com/transit/route-detail"fetch("https://example.com/transit/route-detail")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/transit/route-detail"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/transit/route-detail"
response = requests.request("GET", url)
print(response.text)Empty
curl -X GET "https://example.com/transit/departures"fetch("https://example.com/transit/departures")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/transit/departures"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/transit/departures"
response = requests.request("GET", url)
print(response.text)Empty
curl -X GET "https://example.com/transit/bikes-allowed"fetch("https://example.com/transit/bikes-allowed")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/transit/bikes-allowed"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/transit/bikes-allowed"
response = requests.request("GET", url)
print(response.text)Empty
Station detail with entrances and buildings
Path Parameters
feedIdRequiredstringstopIdRequiredstringResponse Body
curl -X GET "https://example.com/transit/station/string/string"fetch("https://example.com/transit/station/string/string")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/transit/station/string/string"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/transit/station/string/string"
response = requests.request("GET", url)
print(response.text)Empty
curl -X GET "https://example.com/transit/nearest-entrance"fetch("https://example.com/transit/nearest-entrance")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/transit/nearest-entrance"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/transit/nearest-entrance"
response = requests.request("GET", url)
print(response.text)Empty